

****************************
*   KAFFEINE ChangeLog     *
****************************

0.8.5

* DVB: scan: check for CA descriptors in PMT to correct CA flag.
* DVB: add a file size limit option (usefull for some "limited" filesystems)
* xine-part: added "QString screenShot()" dcop call (returns filename)
* DVB: save/load epg data
* DVB: insert PSI tables to make broadcast stream VLC compliant ( vlc requires SDT/PAT/PMTs )
* DVB: reworked dvbevents to speed up eit parsing and fix events duplication.
* dcop: make getTimePos() to return acurrate value.
* DVB: add a "recall" button, that zap to the previous played channel.
* DVB: make channel visible and selected after editing.
* DVB: reset search after zap.
* DVB: use iconv (a lot faster) instead of qtextcodec to convert sections strings
* DVB: improved epg filter.
* DVB: added a search field in channels list
* DVB: added a filter box to epg dialog, patch by Michael Hoertnagl <mtron@a1.net>
* DVB: added channels list rmb menu entry to edit channel.

0.8.4

* Playlist: menu option to not auto switch to player window
* DVB: added osd browsing dcop calls
* xine-part: dragndrop subtitles files
* fixed: removed readonly parts support
* fixed: improve screensaver disabling method again (old behaviour for non-kde environments)
* DVB: added a "source" column in channels list.
* Playlist: fix opening playlists
* DVB: rotors support (usals and mem_pos)
* DVB: fixed multi devices usage.
* DVB: fixed devices probing
* DVB: added tuning timeout options
* DVB: fixed OSD epg bug with diseqc settings
* DVB: use klocale for datetime format
* Playlist: fix google fetcher
* xine-part: support for xcb. Requires libxcb 1.0 and xine-lib 1.1.5. Fixes several issues.
* gstreamer-part: port to gst 0.10
* fixed: allow small window size in minimal mode
* added: allow toggling (show / hide) panels by clicking tabs
* xine-part: reduced audio/sub combos sizes
* xine-part: add volume+/- to embedded context menu.
* Playlist: don't cut bottom font in rollingtitle.
* xine-part: better "Track infos" box layout.
* xine-part: don't restore video settings if not previously saved

0.8.3

* DVB: selectAll button in scandialog
* DVB: save channels list sort order
* DVB: added "Current channel" button in epg window, patch by Michael Hoertnagl <mtron@a1.net>
* xine-part: shortcuts for delay/advance subtitles (ctrl+alt+right/left)
* xine-part: fixed wmv seeking.
* xine-part: save and restore video settings (hue,saturation,contrast,brightness)
* DVB: OSD warning when timeshift hd<300MB
* added: option to start in minimal mode + dcop call.
* added: "Open Dir" starts playing dvd from dir if dir points to a dvd image.
* added: playing dvd iso files.
* DVB: auto rename channels when adding to list
* Disc: fixed crash trying to play while encoding
* Disc: Ask user for cddb close matches, patch by Boyan Tabakov <blade.alslayer@gmail.com>
* fixed: session issue.
* fixed: better screensaver disabling method (no interfering key presses anymore).
* DVB: fixed scanning services sharing same pmt.
* DVB: added H/V (C band mutipoint) lnb settings.
* DVB: improved device detection.
* DVB: added : "int dvbSNR( int device )" dcop call.
* fixed: crash when quit from systray.

0.8.2

* fixed: removed statusBar.
* Disc: bigendian fix.
* DVB: added current programm OSD progress bar
* DVB: speed up OSD
* DVB: fixed timer edit bug
* DVB: added dvbNewTimer dcop func.
* DVB: allow overlapping timers to start.
* fixed: make sure to load xine_part instead of old kaffeine_part.
* xine_part: removed empty audio/subtitles channels.
* Kaffeine_part(s): added an entry in context menu to toggle minimal mode.
* Playlist: added a "Clear Current Playlist" menu entry.
* Playlist: autodownload cover now optional.
* fixed: update google fetcher.
* fixed: allow toggling from/to player/playlist even in fullscreen.
* DVB: show SNR value for scanned channels, so a dvb-t user can choose the best one.
* DVB: selectable channels icons (rigth click on a channel name in the list)
* DVB: added "Scheduled" button in EPG window.
* DVB: add dvb-t 8mhz autoscan mode for devices that support it.
* fixed: switch to player window if mime does not contain "audio"
* xine_part: block messages when filename contains "#"
* DVB: cicam support, by Christoph Pfister
* Systray: reversed mouse wheel behaviour.
* Playlist: added a KURLComboBox to file browser.
* DVB: fixed fast zap lock.
* fixed: reduced minimum window size.
* Playlist: autoselect subtitle when unique.

0.8.1

* fixed: configure check for cdparanoia.
* Disc: force playing dvd/vcd with engine's default drive if kded_mediamanager fails to identify it.
* kaffeine-part: plug dvd nav actions
* DVB: write to fifo from a thread to circumvent deadlocks when xine stops (or fails) reading.
* kaffeine-part: set skip forward/backward to 20s (to avoid "skating" when seeking in divx)
* DVB: avoid negative freq value.
* fixed: system:/media urls
* fixed: include qapplication.h instead of qapp.h
* fixed: use memcpy instead of mempcpy(gnu only) in ogg encoder.
* fixed: ogg encoder makefile.

0.8

* Disc: autostart audioCD playback after query.
* Disc: removed DVD and VCD buttons
* StartWindow: added a "Audio CD encoding" button
* Disc: use mediamanager to find available disc(s)
* fixed: default to no systray icon.
* Playlist: double-click on a file in file browser to add to playlist and start playing it.
* DVB: recording start/stop, exec a script named $HOME/bin/kaffeine_recording with args:
	kaffeine_recording On (recording started)
	kaffeine_recording On '/file/name' (/file/name finished but still recording)
	kaffeine_recording Off '/file/name' (/file/name finished, no more recording)
* fixed: Fullscreen: hitting top or bottom unhide toolbars.
	  Minimal mode: mid_button hide/unhide toolbars.
* StartWindow: numbered buttons, patch by "Aaron J. Seigo" <aseigo@kde.org>
* fixed: no fake key press events when paused or playing audio (except fullscreen)
	Removed config option and harcoded 55s timeout.
* new: logo by Dieter Zander <dieter-mz@online.de>
* added: mp3lame encoder
* added: ogg encoder
* new: cdda ripping
* new: discs input module
* new: new startwindow
* fixed: auto switch to player window.
* Playlist: changed tab label and icon.
* DVB: previous/next zap to previous/next in current category instead of whole list, patch by Rainer Wirtz <rainer.wirtz@gmx.de>
* Playlist: mutiselection in filebrowser, patch by Rainer Wirtz <rainer.wirtz@gmx.de>
* new: KaffeineInput abstract class, inherited by all input modules.
	- InputManager class to manage input modules.
	- made PlayList an input module.
	LAYOUT:
	- vertical multitabbar.
	- reparent player window on current input module widget.
	- reduced number of toolbars (merged).
	PLAYLIST:
	- added a file browser.
	- added cover fetcher (from Juk).
	- playlist is no more undockable.
	- playlist selector now on playlist page.
	DVB:
	- replace some chars in filenames ( < > / \ : " | ).
	- dvbsi characters conversion.
	- added a led for broadcasting.
	- click on instant record button to stop recording.
	- save video stream type and fill in pmt.
* improved: column spacing, column order memory, and new stylistic touches inspired by Juk - Christopher Martin
* improved: system tray applet - middle-clicking now toggles Play/Pause - Christopher Martin
* kaffeine-part: make FastForward / SlowMotion more intuitively adjustable, like a sliding scale - Christopher Martin
* fixed: deny certain widgets focus that don't need it - Christopher Martin
* kaffeine-part: swap mouse wheel up/down behavior for volume and position.
* DVB: dvbevents fixes.
* DVB: fixed device detection.
* fixed: loading track length whether CDDB information is found or not. - patch by Christopher Martin <christopher.martin@utoronto.ca>
* fixed: open file dialog now accept non-local files - patch by Christopher Martin <christopher.martin@utoronto.ca>
* added: support for KDE 3.5's system:/ - patch by Christopher Martin <christopher.martin@utoronto.ca>
* kaffeine-part: added gapless playback.
* kaffeine-part: improved seeking speed (metronom_prebuffer=12000).
* DVB: relies on service->library() instead of service->name()
* DVB: indexing filenames to not overwrite existing ones
* DVB: added 10 sec tuning timeout
* DVB: recording *.m2t instead of *.ts
* kaffeine_part: added zoomInX, zoomOutX, zoomInY, zoomOutY.
* added: playDvb() dcop function.
* DVB: using qmap to store events patch by Matthias Lenk <matthias.lenk@gmx.de>
* improved DVD navigation (kaffeine-part):
	- possible now to select title, chapter and angle from DVD menu
	- jumping to a chapter by entering a number with keypad
	- resuming last title and chapter after pressing stop and play again
* DVB: added number of events in dumped file.
* DVB: fixed eit thread priority (lowest).
* DVB: fixed osd crash when not in live mode.
* DVB: dvb osd browsing patch by "Ben Jackson"<benj@puremourning.co.uk>

0.7.1

* new translation: catalan by Antoni Bella Perez <evasten5@yahoo.es>
* DVB: fixed: mouse click on empty list crash in kevents.
* added: some more DCOP functions - patch by Blindauer Emmanuel <manu2005@agat.net>
* fixed: endless loop of error messages if no divx plugin installed (gstreamer) and playback of logo animation failed
* fixed: compiling fails with some gcc versions

0.7

* DVB: added end datetime in timer editor.
* dvb: added LNB(s) local oscillator frequency settings.
* added: support for saving/exporting current playlist to M3U & PLS playlists
* fixed: better handling of pls playlists (support for PLSv2) - taken from amaroK <http://amarok.kde.org>
* gstreamer-part: aspect ratio should be correct now; menu with default ratios added
* added: jumping to a playlist entry by typing a number into keypad
* fixed: skip buttons of player part(s) are always enabled now; if a single track is played they'll
         play next/previous track of the playlist (as expected from most users...)
* gstreamer-part: support for audio cd, vcd and dvd (without navigation); with current GStreamer version (0.8.10)
                  and the gnomevfs plugin internet streaming works too; lot of small fixes
* gstreamer-part: config dialog added
* added: SMIL parser extracts now audio urls too
* fixed: volume handling with hardware mixing: volume slider reflect now changes made with kmix
         and other mixers; volume will no longer be restored at startup
         - patch by Christopher Martin <christopher.martin@utoronto.ca>
* added: dcop function dvdMenuToggle() to select a menu item - patch by Alex Belgraver <a.belgraver@quicknet.nl>
* fixed: increased dvb events filter timeout.
* added: patch to use double-click to add channel to broadcast list - patch by Laurent Montel <montel@kde.org>
* added: dvb config dialog button to dump dvb events (epg) to file.
* added: patch to use double-click to edit channel - patch by Laurent Montel <montel@kde.org>
* added: multiple dvb devices support
* new quit option: Quit After Playlist - patch by A. Wiedenbruch <mail@wiedenbruch.de>
* fixed: passing AudioCD/VCD/DVD from command line if kaffeine is already running
* fixed: some dvb categories fixes
* fixed: kaffeine and the konqueror plugin did not use the same config file
* new translation: galician by Daniel <daniel@auriasistemas.net>
* configure flag: --with-xinit-workaround replaces --with-xorg, because some xfree versions
                  are affected too - patch by Christopher Martin <christopher.martin@utoronto.ca>
* added: support for KDE 3.4's media:/ ioslave - patch by Christopher Martin <christopher.martin@utoronto.ca>
* fixed: dock/undock playlist button always said "Undock"
         - patch by Christopher Martin <christopher.martin@utoronto.ca>
* added: -fvisibility support (reduces program size and increases speed)
         - patch by Laurent Montel <montel@kde.org>
* fixed: some memory leaks - patch by Laurent Montel <montel@kde.org>
* added : dvb channels categories
* added: enhanced dvb osd
* new player-part: gstreamer-part; features: playback of local media files,
                   volume control, visualization, picture settings dialog
* added: configure flag --without-dvb to build Kaffeine without DVB support
* fixed: fullscreen behaviour (modal dialogs behind the video window)
         -patch by Christopher Martin <christopher.martin@utoronto.ca>
* added: dvb repeated timers
* added : dvb broadcasting client
* fixed : encrypted dvb channels crash
* added : dvb broadcasting
* wizard-dialog: check for DVB devices added
* fixed: action "Append to Kaffeine Playlist" will only be visible for supported file types
* added: dvb subtitle support ( one have to rescan to fetch the dvbsub info )
* fixed: dvb epg time ( utc to local )
* fixed: coding style inconsistencies ( kaffeine.cpp, kxinewidget.cpp )
* new dcop function: changePlaylist()
* new feature: improved seeking (skip forward/backward 10s, 1min and 10min)
               - patch by Christopher Martin <christopher.martin@utoronto.ca>
* fixed: parsing PLS files with empty lines

0.6

* Added kaffeine_part vol+/vol- menu entries
* fixed changing of external subtitles "on the fly" & remember position
* Added Equalizer again to Kaffeine
* Kaffeine no longer prevents KDE session shut-down
* Strg+A select only visible tracks now (Bug 1146078)
* Fixed different mouse wheel behaviour of volume- and position-slider (Bug 1094965)
* Fixed sort order of track numbers (1,2,...,9,10,11,...);
  generally improved playlist sorting
* Added local dvbdata installed in $KDEDIR/share/apps/kaffeine/dvbdata.tar.gz
* Removed empty DVB menu
* Deinterlacer fix: Some values wasn't restored correctly
* Playing files from samba-shares should work now (with xine-lib 1.0-stable)
* Fixed aspect ratio with dual-head (Xinerama)
* Fixed problem with massive poping up xine messages that may freeze x-server
* Fixed crash on exit
* FULL DVB SUPPORT by Christophe Thommeret <hftom@wanadoo.fr> -
  check README.dvb and updated Handbook!
* Kaffeine settings dialog improved
* highlight default xine configurations
* add size option and font option to the OSD configuration
* made pause button toggleable, fixed spacebar toggle pause/play, fixed openning files when the current media is in pause mode
* most requested: reintroducing minimal mode
* fixed xine config dialog (some entries changed in xine 1.0)
* fixed problem with disabled position slider (DVD playback)

0.5

* new logo animation by Anders Ellenshøj Andersen <andersa@ellenshoej.dk>
* fixed seeking in paused mode
* when a subtitle file is opened or dropped, a dialog box appears and ask for the movie it belongs to
  - patch by Assaf Gillat <gillata@gmail.com>
* fixed drag&drop problems with non-unicode locale - patch by Assaf Gillat <gillata@gmail.com>
* pause playback if user close/hide window and stream contains video
* fixed timing problem: sometimes Kaffeine jumped to the next track after a second
* mute: works now with arts driver; always unmute on start (if closed in muted state)
* configure flag '--with-xorg' added: use it if Kaffeine hangs on startup with an x.org server
* pressing pause enables the play button and disables the pause button
* position slider disabled for non-seekable streams - patch by Assaf Gillat <gillata@gmail.com>
* fixed compiler warnings in http.c - patch by Assaf Gillat <gillata@gmail.com>
* ingnoring useless titles from meta info (like "track xxx")
* count-down timer and timer OSD added: short click on timer button toggles forward/backward,
  long-click toggles timer OSD - patch by Gillat A. <gillata@netvision.net.il>
* introduced special playlist 'NEW' for files from command line and dropped files
* possiblity to shutoff monitor and/or quit after current track - patch by Bryan <oiper@charter.net>
* position slider fits now full available width
* kaffeine-part registers itself as DCOP object; for a list of functions enter:
 'dcop kaffeine KaffeinePartIface' - patch by Matthieu PHILIP <matthieu.philip@polytechnique.org>
* fixed crash after changing audio driver
* new translations: turkish by Görkem Çetin <gorkem@gorkemcetin.com>;
                    portuguese by Flávio Moringa <flavio.moringa@caixamagica.pt>
                    macedonian by Igor Stamatovski <igor.stamatovski@gmail.com>

0.5-rc2

* finally fixed problem with wrong font encoding of titles (squares instead of
  characters like ü and é) - patch by Gillat A. <gillata@netvision.net.il>
* fixed problem with relative (non-local) filenames in M3U playlists
* more autoresize options: resize to original size, double size or triple size
* new dcop functions: playAudioCD(), playVCD(), playDVD()
* new dcop functions: getFileName(), getLength(), getTimePos() - patch by Alek Wojdyga <pinkworm@alan.umcs.lublin.pl>
* buffer overflow vulnerability fixed; was possible to crash Kaffeine with
  special crafted RealAudio playlists (http://bugs.gentoo.org/show_bug.cgi?id=69663);
  some other problems with ram playlists fixed too
* some memory leaks fixed - patch by Laurent Montel <montel@kde.org>
* system tray icon: duration of title announcement is now configurable (0 => off); mouse over popup hides it
  (in order to not block the system tray)
* preference option to remove Go!-Tab
* fullscreen mode fixed: removed the border that was visible with some styles (e.g. Keramik)
* storing data fixed (if $HOME different to $KDEHOME)
* playlist is now "undockable" (separate playlist window)
* its now possible to select an alternate font encoding for meta tags - patch by Gillat A. <gillata@netvision.net.il>
* if you load a *.kaffeine file it will be appended to playlist-selector
* toolbar state (visible/hidden) are restored correctly
* toolbars: some buttons removed; channels toolbar is hidden by default
* vdr:// urls work now
* arts audio driver works again
* single letter shortcuts allowed now (e.g. "F" for fullscreen)
* fixed problem if build-dir is different from source-dir; patch by "Dawit A." <adawit@kde.org>
* Updated translations: hungary, simplified chinese, swedish

0.5-rc1

* fixed fullscreen mode for fluxbox and some other window managers
  (window decoration did'nt appear after leaving fullscreen)
* video aspect ratio DVB (2.11:1) added
* screenshot aspect ratio of anamorphic streams fixed
* dummy-part added, developers can use it as template for own player-parts
* Doc updated (Handbook, TODO file, README files, etc)
* if reading of AudioCD/VCD/DVD fails, we ask user for correct path now
* jump-to-position (time-based) feature added
* support for xine OSD added
* kaffeine now auto-switches to player-tab if source contains video
* all data now stored in ~/.kde/share/apps/kaffeine; ~./kaffeine no longer used

- New GUI design:
 * Kaffeine is now a shell/part application and can use every player part
(e.g.: kplayer, kaboodle) for playback, currently only the xine based
kaffeine part is full supported.
Note for developers: To create a part full supported by Kaffeine you have to
derive your part from the KMediaPart class (see
KDE_INLUDE_DIR/kaffeine/kmediapart.h) instead of KParts::ReadOnlyPart.
 * One (tabbed) window interface contains player, playlist and maybe more in
the future
 * Interface follows now common KDE standards: XML UI structure, toolbars,
statusbar
 * All player/xine related stuff moved into the Kaffeine Part

- Big code cleanup done:
 * In accordance with KDE coding guidelines
 * A lot of code completely rewritten
 * Simplified xine API wrapper class (kxinewidget.cpp); can simple be used
for every KDE applications and plain QT applications too
 * New architecture seems to be more stable, can't reproduce known xfree
crashes anymore

- Shell Application:
 * Filedialog: many new predefined file-filters (MPEG Audio, Quicktime, etc)
 * "Minimal Mode" removed, no longer necessary
 * Fullscreen Mode:  double-click switches between fullscreen and windowed
mode; middle-click makes toolbars visible; fullscreen-panel removed
 * Support for multiple playlists; all will be autosaved; playlist-switcher
integrated in toolbar
 * New columns in playlist: artist, album, track
 * New queue mode: Select "Play next" in playlist context-menu to add a track
to queue; after queue is empty, normal playback will be continued
 * Playlist context menu: new "Create new Playlist from Selection" entry; now
also visible over empty space
 * Playlist remembers last played track
 * Non-local playlists (m3u, pls, asx, etc) are now only parsed immediately
before playing; included URLs now longer shown in playlist, because they can
change from time to time; if playback of first entry fails, Kaffeine tries
the next without any error message
 * URL encoding fix: Kaffeine passes now the plain URL (without any encoding)
to the player; fixes problems with xine's VCD plugin, special characters
like "?" and " @" in local files and password proctected hosts
 * Simplified DCOP interface: see kaffeineiface.h
 * Completely disabled session management: got a lot of problem reports
 * Transparent "OSD" removed: there is now a new popup beside the system tray
instead
 * Minimizing the main window re-enables the screensaver
 * asx import improved: reads now AUTHOR and DURATION tags too
 * new start window provides fast access to most important functions
 * Improved install wizard dialog (first start): checks installation (xine-lib
version, DMA mode, etc)
 * Bookmark menu removed
 * Use mouse wheel over system tray icon to skip forward/backward in
playlist (patch by patch by Gustavo Pichorim Boiko <gustavo.boiko@kdemail.net>)
 * removed all stuff deprecated in kde 3.2

- Kaffeine Part:
 * New features: mute, fast forward, slow motion
 * Full network transparency: if given protocol not supported by xine, we try
to download the source to a temorary file; you can now e.g. simple drop
items from a tar archive into the playlist
 * xine Error dialog: click on details to see last xine log messages
 * xine Engine Parameter dialog simplified: only most important parameters
shown; "Expert Options" button added
 * Modal dialogs no longer created on startup; decreases starttime
 * Font encoding in post-filter help dialog is correct now
 * Audio volume (amplification) fix: removed distortion if user drags slider
over 50%
 * Counter fixed: goes now from 0:59...1:00 :-)
 * Rudimentary SMIL support: simple reads out contained video sources (video
tags),  and completely ignore all layout hints and time marks
 * Equalizer removed for the moment: was not satisfied with the quality...
 * Embedded in a konqueror frame: full given space is now used for video
window; playback control via right-click context menu
 * Support for xine's audio post filters added (patch by Miguel Freitas <mfreitas@gmail.com>);
   you can now try out the new 2->5.1 upmix plugin and the cool stretch plugin (with pitch preservation)

- Translations:
 * Handbooks: simplified chinese translation by bamfox <bamfox@163.com>
 * Updated: german, norwegian nynorsk, hebrew, simplified chinese, russian
 * New: russian by Vladimir Marteev <marteev@ramenskoe.ru>; Norwegian Nynorsk by Karl Ove Hufthammer <karl@huftis.org>;
   Dutch by Wilbert Berendsen <wbsoft@xs4all.nl>; Hebrew by Assaf Gillat <gillata@netvision.net.il>

0.4.3b

* moved mozilla-plugin in CVS module kaffeine-mozilla
* removed superkaramba example
* manpages now installed in $(mandir) (set it with ./configure --mandir=MANDIR)
* font encoding fix (xine-lib uses now utf8 by default)
* fixed broken icons for KDE 3.2
* fixed fullscreen behaviour for KDE 3.2 (panel no longer appears after left-click)
* made videosettings and equalizer dialog non-modal
* use software audio amplification by default; new xine config entry gui.audio_mixer_software
* updated translations: italian, polish

0.4.3

* clicking on the close button (x) of the main window hides it (if embedded in system tray)
* position slider behaviour changed: left click seeks directly to a position - patch by Miguel Freitas
* if init of selected audio/video driver fails, we try 'auto' - patch by Miguel Freitas
* finally fixed the crash after closing with xfree 4.4/X.org 6.7
  (thanks Conectiva Linux und SuSE Linux for helping me with that!!)
* kaffeine uses now the tvtime plugin for deinterlacing; a new settings dialog makes it easy to select
  deinterlace quality; deinterlace is by default turned on, since the tvtime plugin automatically
  disables deinterlacing for progressive streams
* big rework of post plugin handling, video postprocessing filters got a help button,
  patch by Miguel Freitas <miguel@cetuc.puc-rio.br>
* fixed compiler errors with gcc 3.3.3
* playlist search improved: all entries that doesn't match the search string will be hidden, status bar shows
  visible and total entries
* DVD menu navigation will no longer block keyboard input, made separate shortcuts (CTRL+arrow keys, Return)
* playlist window shortcuts are now also configurable
* minimal mode hides status line
* window caption shows current track title
* open recent: replaces now playlist (similar to open file), increased max items to 15;
               made clearing recent file list working
* mozilla-plugin: - security fix (was possible to execute shell commands with backticks in the url,
                    only in older netscape versions)
                  - fixed problem that sometimes the plugin did'nt start kaffeine (e.g. http://www.giga.de/features/live/)
                  - fixed problem with microsoft media streams
* filter dialog: added checkbox for enable/disable - removed "enable postprocessing" from view menu
* kpart: - increased InitialPreference to 9 (forces konqueror to use kaffeine instead of kaboodle)
         - fixed playback of application/x-mplayer2 streams
         - focus policy fix
         - displays now xine runtime errors
         - fixed multiple loading, don't create controlpanel/init xine if "Controls" tag != "ImageWindow"
* english/german manpages added, thanks to Zack Cerza <zcerza@coe.neu.edu>
* i18n fixes, patch by Lukas Tinkl <lukas@kde.org>
* shortcut configuration added, patch by Jeroen Wijnhout <Jeroen.Wijnhout@kdemail.net>
* track length/stream info displayed correctly in fullscreen panel (was broken)
* new translations: Slovenian by Matjaz Horvat <matjaz@owca.info>;
  Norwegian Bokmal by Matias Hermanrud Fjeld <mhf@hex.no>

0.4.2

* kpart: "coffee bean" button starts kaffeine externally and stops embedded playback
* file dialogs: filter "Supported Media Formats" added
* fixed embeded preview of the quicktime trailers on www.apple.com; all trailers should work fine now
* threading/event handling fix; the random crashes/freezes should be resolved now
* automatic resize of video window (adapt to frame size), patch by Carlo Miotto <cmiotto@interfree.it>
* autoloading support for multiple subtitle named like movie{.*}.[srt|ssa|smi...]; if more
  than one subs exist (eg. different languages) a popup allows to select the playback sub (with embedded part too);
  when playback starts the subtitle combobox in the main window is updated according
  to the subtitles stored in the playlist for the movie;
* control panel layout improved (fixed jerking time button)
* playlist track info dialog improved + click on info icon opens it
* playlist status bar shows total entries + total play time
* mime type and mime icons for kaffeine playlists added (*.kaffeine files)
* fixed visual plugin handling (for current xine-lib cvs version)
* konqueror servicemenus: "Open with Kaffeine" for directories and "Append to Kaffeine Playlist" for all files
* parser for ram playlists added, examples: http://www.thelinuxshow.com
* wizard dialog on first run
* fixed conflicts with installation files of KDE 3.2
* you can now navigate through DVD menus with key arrows and enter
* position sliders have a smoother behaviour now
* all file dialogs remembers the last directory
* volume will now be saved in kaffeinerc
* possibility to turn equalizer on/off added
* "P" toggles between video window and playlist
* --verbose outputs now all debug messages of the xine engine
* middle click will toggle fullscreen/windowed; escape key leaves fullscreen mode
* support for urls from audiocd kio-slave: something like audiocd:/MP3/Title 03.mp3 will be
  converted to cdda:/3; you can drop such urls into Kaffeine or use embedded preview
* made xine error messages more understandably
* --device switch: sets now DVD device too, path no longer saved in the xine configuration
* settings dialog: possibility to turn system tray embeding and reading of meta info on loading,
  push button to clear recent file list, push button to refresh all titles in the playlist;
  made titleformat string more human readable (e.g.: "artist - title (album)");
  you can set the alternate background color of playlist
* kpart: reads and displays (konqueror caption) meta info
* playlist: all available meta information (KDE+xine) and CDDB entries can now be read on loading;
  progress dialog with the possibility to abort loading; moving items works again (broken in 0.4.1);
  you can sort entries by clicking on the list headers (title, length,...)
* font encoding fix for string values in xine config dialog
* new translations: danish by Frederik Dannemare <admin@sentinel.dk>,
  traditional chinese (Taiwan) by Tony Yu <u900002@apple.cmc.edu.tw>,
  Brazilian portuguese by Helio Chissini de Castro <helio@kde.org>

0.4.1

* updated handbook, works now with KDE 3.2
* (aparently) unsupported files will no longer skipped, the "Following URLs are not..." dialog will
  no longer appear; was necessary because the mime type of some (newer) formats can not be detected
  by KDE
* new command line switch --verbose to output xine debug messages
* support for xine messages added (popup)
* urls like movie.avi#subtitle:sub.txt from command line will be accepted now
* file import: mp3/ogg tags and length information will no be read on loading
* visualization: you can choose the plugin now in "view" menu; if you minimalize the main window, visualization
  will be turned off (to save cpu time)
* support for mouse wheel added: you can navigate through stream with rotating mouse wheel over video window
  or position slider (middle-click on position slider sets position directly)
* you can find now a submenu vor DVD menus; use "D" to toggle between playback and DVD menu
* support for xine's postprocessing plugins added; you can use the "tvtime" filter now for deinterlacing -
  the build in deinterlace method seems to be depreciated
* click on a mms:// reference in konqueror will launch kaffeine
* kaffeine-part: the "coffee bean"-button will now send the current url to kaffeine (will be appended to the playlist)
* a small control panel for minimal/fullscreen mode added (left-click on video window)
* support for network broadcasting
* audiodriver/videodriver/visualization plugin can now be changed during playback
* kaffeine-part/mozilla-plugin: support for wma/wmv/asx files added
* playlist: dragging entrys from playlist to e.g. konqueror or k3b is working now;
            you can also use cut/copy/paste now to add/remove entries
* m3u import: accepts now relative file paths and windows-style urls
* kaffeine part: made quicktime trailers working (e.g. on www.apple.com/trailers);
                 fixed crash on tabbed browsing
* made equalizer and video settings dialog modal - looks much better in fullscreen mode
* two new FEATURES: support for external subtitle files (smi/srt/sub/txt files with same filename as the
  movie will be autoloaded) and the possibility to save streams (xine's #save: option - need at least xine 1.0rc1!)
* did a GUI cleanup: using now kde standard actions whereever possible; a "record" button and a
  copy function in playlist added (copies url of selected item to clipboard)
* xine-config dialog: no horizontal scrollbars anymore (patch by Hasso Tepper)
* if you import a directory, subdirs will now be recursive scanned too
* shortcuts: mainwin: arrow up for previous track, arrow down for next - corresponding with playlist;
  playlist: return plays item; space toggles play/pause and backspace stops playback (similar to main window)
* made --enqueue CD/VCD/etc working
* mozilla-plugin will now be symlinked
* new translations: hungary by VectoR <vector@vstart.hu>, japanese by Noriyuki Suzuki <noriyuki@turbolinux.co.jp>,
  estonian by Hasso Tepper <hasso@estpak.ee>, simplified chinese by qianzheng <billqian@sohu.com>,
  swedish by Bjoern Nitzler <b.nitzler@umea.bonet.se>


0.4

* add cmd line option --enqueue to append files to current playlist (patch by Michael Rolf)
* made playlist-toolbar resizeable and moveable; settings will be saved (based on a patch by James Stembridge)
* will no longer crash on startup if loading of audio/video-driver fails
* add possibility to drop whole directories into videowindow, playlist or systemtray;
  also you can now start kaff. like: kaffeine /home/username/mp3-dir to load all media files in a directory
* resolved some font-encoding problems; can handle now multibyte encoded filenames (e.g. big5 encoded)
* handbook updated
* bookmark-entrys may now be playlists
* new titles (maybe from internet broadcast) now OS displayed
* add a mozilla-plugin - simple modified the gxine-plugin (by the xine project) to launch
  kaffeine instead of gxine (thats open source :-)
* add a system tray, accept drops from konqueror; current title is shown as tooltip
* did some geometry fixes for big fonts
* xine-config dialog is useable now :-)
* modified startup/shutdown procedure - more stable now, kaffeine-part don't crash anymore
* add equalizer
* new command line options to set audio/video driver; useful if "auto" won't work
* new translation: italian by Marco-=[LaTiNo]=- <marconet@libero.it>,
  malay by Chyryll Zariss <czariss@yahoo.com>


0.4beta1

* command line: add a --device option to set the audiocd/vcd path + its now possible to hand over the
  name of a input plugin (same as i the "play"-menu;
  for example: "kaffeine --device /dev/cdrom VCD" (plays the vcd, if any)
* LIRC: add a profile file from Gav Wood <gav@kde.org>; should be easy to use with kdelirc (KDE 3.2!)
* xine-config dialog: scrollable now, enabled expert options
* add a kaffeine part for konqueror preview; very unstable, for testers and developers only!
* new translations: french by Pascal Leroux <leroux.pascal@wanadoo.fr>,
  spanish by Quique <quique@sindominio.net> and czech by Klara Cihlarova <cihlarov@suse.cz>
* plays now local *.wma files
* fix for position changes, when playback is paused (patch by Adrian Schroeter <adrian@suse.de>)
* add a right-click context menu for minimal- and fullscreen-mode
* add a minimal mode (hides control-panel and menu)
* add small context menu for playlist entries
* playlist: better search-mechanism
* add default button for video settings
* command line args will now be passed to the running instance (if any)
* add remote commands from command line (useful for global shortcuts)
* add DCOP interface; type "dcop kaffeine Kaffeine" and "dcop kaffeine PlaybackControl" for available functions;
  have a look into the "addons" directory: made a superkaramba theme demonstrating the dcop interface
* resolved startup problems
* saved kaffeine<->xine communication with a mutex


0.3.2

* add polish translation by Wafel <wafelj@wp.pl>
* removed the cpu-exhausting process (no more choppy video)
* add bookmark menu
* add recent files submenu
* last playlist will now be saved automatically
* volume-slider now going downside up (patch by Alex Young <a.d.y@btinternet.com>)
* add Mime-Type-field to desktop file
* add #include <stdlib.h> to playlist.cpp
* fixed crash if trying to start kaffeine twice
* now by default a minimum of 6 audio/subtitle-channels, because i don't find a method to dedect all
  available channels, looking for a better solution - HELP WELCOME!
* disabled position-slider for non-seekable streams
* kaffeine will now accept relative file-paths in command line
* removed all methods don't work with KDE 3.0.x (i hope)

0.3.1

